Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(3)

Issue 1253363004: ozone gbm: whitelist 3 DRM ioctl code for native GpuMemoryBuffer. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 years, 1 month ago by dshwang
Modified:
1 year, 11 months ago
CC:
chromium-reviews, rickyz+watch_chromium.org, jln+watch_chromium.org, Kees Cook
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

ozone gbm: whitelist 3 DRM ioctl code for native GpuMemoryBuffer. BUG=475633 Committed: https://crrev.com/2a785aa5f32b793fb51898f82efef096abab6102 Cr-Commit-Position: refs/heads/master@{#354794}

Patch Set 1 #

Patch Set 2 : rebase to ToT #

Total comments: 2

Patch Set 3 : use "unsigned int" #

Total comments: 3

Patch Set 4 : move code to content/ #

Total comments: 12

Patch Set 5 : add comments for USE_VGEM_MAP define #

Total comments: 1

Patch Set 6 : define use_vgem_map in single place #

Total comments: 4

Patch Set 7 : Arg<unsigned long> #

Patch Set 8 : rebase to ToT #

Patch Set 9 : move vgem_map target into ozone.gyp #

Total comments: 1

Patch Set 10 : remove redundant change in build/ #

Patch Set 11 : fix chromeos_daisy_chromium_compile_only_ng build failure #

Unified diffs Side-by-side diffs Delta from patch set Stats (+67 lines, -11 lines) Patch
M content/common/BUILD.gn View 1 2 3 4 5 6 7 1 chunk +2 lines, -0 lines 0 comments Download
M content/common/sandbox_linux/bpf_renderer_policy_linux.cc View 1 2 3 4 5 6 7 8 9 10 2 chunks +27 lines, -1 line 0 comments Download
M content/content_common.gypi View 1 2 3 4 5 6 7 8 9 1 chunk +1 line, -0 lines 0 comments Download
M ui/ozone/BUILD.gn View 1 2 3 4 5 6 7 1 chunk +6 lines, -0 lines 0 comments Download
M ui/ozone/ozone.gni View 1 2 3 4 5 6 7 1 chunk +7 lines, -0 lines 0 comments Download
M ui/ozone/ozone.gyp View 1 2 3 4 5 6 7 8 9 2 chunks +20 lines, -0 lines 0 comments Download
M ui/ozone/platform/drm/BUILD.gn View 1 2 3 4 5 6 7 8 2 chunks +1 line, -5 lines 0 comments Download
M ui/ozone/platform/drm/gbm.gypi View 1 2 3 4 5 6 7 8 2 chunks +3 lines, -5 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 64 (17 generated)
dshwang
brettw, spang, could you review? It's extracted from https://codereview.chromium.org/1134993003/#msg37 as spang requested. zero-copy texture for ...
2 years, 1 month ago (2015-08-21 13:33:55 UTC) #2
spang
https://codereview.chromium.org/1253363004/diff/20001/sandbox/linux/seccomp-bpf-helpers/syscall_parameters_restrictions.cc File sandbox/linux/seccomp-bpf-helpers/syscall_parameters_restrictions.cc (right): https://codereview.chromium.org/1253363004/diff/20001/sandbox/linux/seccomp-bpf-helpers/syscall_parameters_restrictions.cc#newcode160 sandbox/linux/seccomp-bpf-helpers/syscall_parameters_restrictions.cc:160: auto reference_type = TCGETS; If decltype(TCGETS) is actually too ...
2 years, 1 month ago (2015-08-21 15:55:15 UTC) #4
dshwang
https://codereview.chromium.org/1253363004/diff/20001/sandbox/linux/seccomp-bpf-helpers/syscall_parameters_restrictions.cc File sandbox/linux/seccomp-bpf-helpers/syscall_parameters_restrictions.cc (right): https://codereview.chromium.org/1253363004/diff/20001/sandbox/linux/seccomp-bpf-helpers/syscall_parameters_restrictions.cc#newcode160 sandbox/linux/seccomp-bpf-helpers/syscall_parameters_restrictions.cc:160: auto reference_type = TCGETS; On 2015/08/21 15:55:15, spang wrote: ...
2 years, 1 month ago (2015-08-21 16:37:40 UTC) #5
spang
+security/sandbox OWNERS These are the ioctls needed for zero copy rendering via vgem on CrOS.
2 years, 1 month ago (2015-08-21 17:12:50 UTC) #7
spang
https://codereview.chromium.org/1253363004/diff/40001/sandbox/linux/seccomp-bpf-helpers/syscall_parameters_restrictions.cc File sandbox/linux/seccomp-bpf-helpers/syscall_parameters_restrictions.cc (right): https://codereview.chromium.org/1253363004/diff/40001/sandbox/linux/seccomp-bpf-helpers/syscall_parameters_restrictions.cc#newcode158 sandbox/linux/seccomp-bpf-helpers/syscall_parameters_restrictions.cc:158: .CASES((static_cast<unsigned int>(TCGETS), FIONREAD), Allow()) Why unsigned int rather than ...
2 years, 1 month ago (2015-08-21 17:28:51 UTC) #8
jln (very slow on Chromium)
On 2015/08/21 17:12:50, spang wrote: > +security/sandbox OWNERS > > These are the ioctls needed ...
2 years, 1 month ago (2015-08-21 17:30:17 UTC) #9
Jorge Lucangeli Obes
On 2015/08/21 17:30:17, jln (slow on Chromium) wrote: > On 2015/08/21 17:12:50, spang wrote: > ...
2 years, 1 month ago (2015-08-21 17:35:57 UTC) #10
spang
On 2015/08/21 17:30:17, jln (slow on Chromium) wrote: > On 2015/08/21 17:12:50, spang wrote: > ...
2 years, 1 month ago (2015-08-21 17:36:04 UTC) #11
mdempsky
https://codereview.chromium.org/1253363004/diff/40001/sandbox/linux/seccomp-bpf-helpers/syscall_parameters_restrictions.cc File sandbox/linux/seccomp-bpf-helpers/syscall_parameters_restrictions.cc (right): https://codereview.chromium.org/1253363004/diff/40001/sandbox/linux/seccomp-bpf-helpers/syscall_parameters_restrictions.cc#newcode158 sandbox/linux/seccomp-bpf-helpers/syscall_parameters_restrictions.cc:158: .CASES((static_cast<unsigned int>(TCGETS), FIONREAD), Allow()) On 2015/08/21 17:28:51, spang wrote: ...
2 years, 1 month ago (2015-08-21 17:39:47 UTC) #13
spang
2 years, 1 month ago (2015-08-21 18:11:40 UTC) #15
spang
On 2015/08/21 17:36:04, spang wrote: > On 2015/08/21 17:30:17, jln (slow on Chromium) wrote: > ...
2 years, 1 month ago (2015-08-21 18:11:54 UTC) #16
dshwang
On 2015/08/21 18:11:54, spang wrote: > On 2015/08/21 17:36:04, spang wrote: > > On 2015/08/21 ...
2 years, 1 month ago (2015-08-21 18:25:42 UTC) #18
dshwang
https://codereview.chromium.org/1253363004/diff/40001/sandbox/linux/seccomp-bpf-helpers/syscall_parameters_restrictions.cc File sandbox/linux/seccomp-bpf-helpers/syscall_parameters_restrictions.cc (right): https://codereview.chromium.org/1253363004/diff/40001/sandbox/linux/seccomp-bpf-helpers/syscall_parameters_restrictions.cc#newcode158 sandbox/linux/seccomp-bpf-helpers/syscall_parameters_restrictions.cc:158: .CASES((static_cast<unsigned int>(TCGETS), FIONREAD), Allow()) On 2015/08/21 17:39:47, mdempsky wrote: ...
2 years, 1 month ago (2015-08-21 18:26:33 UTC) #19
spang
On 2015/08/21 18:25:42, dshwang_ooo_5.9-27.9 wrote: > On 2015/08/21 18:11:54, spang wrote: > > On 2015/08/21 ...
2 years, 1 month ago (2015-08-21 18:38:23 UTC) #20
jln (very slow on Chromium)
On 2015/08/21 18:38:23, spang wrote: > On 2015/08/21 18:25:42, dshwang_ooo_5.9-27.9 wrote: > > > If ...
2 years, 1 month ago (2015-08-21 18:52:23 UTC) #21
vignatti (out of this project)
On 2015/08/21 18:52:23, jln (slow on Chromium) wrote: > On 2015/08/21 18:38:23, spang wrote: > ...
2 years, 1 month ago (2015-08-21 18:54:16 UTC) #22
vignatti (out of this project)
mmap on dma-buf may take long time to get brushed, specially because all the driver ...
2 years, 1 month ago (2015-08-21 19:58:33 UTC) #23
brettw
https://codereview.chromium.org/1253363004/diff/80001/content/common/BUILD.gn File content/common/BUILD.gn (right): https://codereview.chromium.org/1253363004/diff/80001/content/common/BUILD.gn#newcode9 content/common/BUILD.gn:9: import("//ui/ozone/ozone.gni") A better way to do this would be ...
2 years ago (2015-08-24 21:53:38 UTC) #25
spang
https://codereview.chromium.org/1253363004/diff/80001/ui/ozone/ozone.gni File ui/ozone/ozone.gni (right): https://codereview.chromium.org/1253363004/diff/80001/ui/ozone/ozone.gni#newcode11 ui/ozone/ozone.gni:11: use_vgem_map = false On 2015/08/24 21:53:38, brettw wrote: > ...
2 years ago (2015-08-24 22:09:09 UTC) #26
brettw
Maybe just add a meaningful command about what this flag actually means and what vgem ...
2 years ago (2015-08-24 22:23:17 UTC) #27
spang
On 2015/08/24 22:23:17, brettw wrote: > Maybe just add a meaningful command about what this ...
2 years ago (2015-08-24 22:28:07 UTC) #28
brettw
On 2015/08/24 22:28:07, spang wrote: > On 2015/08/24 22:23:17, brettw wrote: > > Maybe just ...
2 years ago (2015-08-24 22:29:46 UTC) #29
dshwang
On 2015/08/21 17:30:17, jln (slow on Chromium) wrote: > Do we have any influence in ...
2 years ago (2015-08-26 12:02:43 UTC) #32
dshwang
https://codereview.chromium.org/1253363004/diff/80001/content/common/BUILD.gn File content/common/BUILD.gn (right): https://codereview.chromium.org/1253363004/diff/80001/content/common/BUILD.gn#newcode9 content/common/BUILD.gn:9: import("//ui/ozone/ozone.gni") On 2015/08/24 21:53:38, brettw wrote: > A better ...
2 years ago (2015-08-26 14:18:02 UTC) #33
vignatti (out of this project)
On 2015/08/26 12:02:43, dshwang_ooo_5.9-27.9 wrote: > Tiago is trying to make it via mmap-msync-munmap flow. ...
2 years ago (2015-08-26 14:24:31 UTC) #34
brettw
https://codereview.chromium.org/1253363004/diff/80001/content/common/BUILD.gn File content/common/BUILD.gn (right): https://codereview.chromium.org/1253363004/diff/80001/content/common/BUILD.gn#newcode9 content/common/BUILD.gn:9: import("//ui/ozone/ozone.gni") In ui/ozone/BUILD.gn: config("vgem_map") { if (use_vgem_map) { defines ...
2 years ago (2015-08-26 22:27:49 UTC) #35
dshwang
On 2015/08/26 12:02:43, dshwang_ooo_5.9-27.9 wrote: > On 2015/08/21 17:30:17, jln (slow on Chromium) wrote: > ...
2 years ago (2015-08-27 12:47:09 UTC) #36
brettw
https://codereview.chromium.org/1253363004/diff/160001/ui/ozone/ozone.gni File ui/ozone/ozone.gni (right): https://codereview.chromium.org/1253363004/diff/160001/ui/ozone/ozone.gni#newcode14 ui/ozone/ozone.gni:14: use_vgem_map = false You can move this back to ...
2 years ago (2015-08-28 19:21:43 UTC) #39
dshwang
On 2015/08/27 12:47:09, dshwang_ooo_5.9-27.9 wrote: > On 2015/08/26 12:02:43, dshwang_ooo_5.9-27.9 wrote: > > On 2015/08/21 ...
2 years ago (2015-08-31 09:10:15 UTC) #40
mdempsky
This is the right place to add the ioctl checks, so LGTM for that. I ...
2 years ago (2015-09-02 22:19:39 UTC) #41
dshwang
On 2015/09/02 22:19:39, mdempsky wrote: > This is the right place to add the ioctl ...
2 years ago (2015-09-03 08:38:04 UTC) #43
dshwang
On 2015/09/03 08:38:04, dshwang wrote: > On 2015/09/02 22:19:39, mdempsky wrote: > > This is ...
1 year, 11 months ago (2015-09-29 11:08:48 UTC) #45
vignatti (out of this project)
On 2015/09/29 11:08:48, dshwang wrote: > On 2015/09/03 08:38:04, dshwang wrote: > > On 2015/09/02 ...
1 year, 11 months ago (2015-10-02 19:59:11 UTC) #46
jln (very slow on Chromium)
On 2015/10/02 19:59:11, vignatti wrote: > On 2015/09/29 11:08:48, dshwang wrote: > > On 2015/09/03 ...
1 year, 11 months ago (2015-10-03 02:27:26 UTC) #47
dshwang
jln, thx for reviewing! Matthew, could you review? Let me summarize what is the issue. ...
1 year, 11 months ago (2015-10-05 08:20:44 UTC) #48
spang
+jbudorick for build/
1 year, 11 months ago (2015-10-13 17:56:58 UTC) #50
mdempsky
On 2015/10/05 08:20:44, dshwang_ooo_16.Oct wrote: > Matthew, could you review? LGTM
1 year, 11 months ago (2015-10-13 18:02:19 UTC) #51
jbudorick
this is out of my area of expertise jbudorick -> thakis for build/
1 year, 11 months ago (2015-10-13 18:03:28 UTC) #53
Nico
why is the gyp project in build/ but the corresponding gn thing somewhere in ui/? ...
1 year, 11 months ago (2015-10-13 18:06:22 UTC) #54
spang
On 2015/10/13 18:06:22, Nico wrote: > why is the gyp project in build/ but the ...
1 year, 11 months ago (2015-10-13 18:12:01 UTC) #55
dshwang
I'm back from vacation. Thanks for re-reviewing sandbox! On 2015/10/13 18:12:01, spang wrote: > On ...
1 year, 11 months ago (2015-10-19 14:48:43 UTC) #56
dshwang
On 2015/10/19 14:48:43, dshwang wrote: > I'm back from vacation. Thanks for re-reviewing sandbox! > ...
1 year, 11 months ago (2015-10-19 15:02:46 UTC) #57
spang
lgtm
1 year, 11 months ago (2015-10-19 15:29:49 UTC) #58
dshwang
On 2015/10/19 15:29:49, spang wrote: > lgtm thank you for reviewing!
1 year, 11 months ago (2015-10-19 15:41:34 UTC) #61
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1253363004/280001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1253363004/280001
1 year, 11 months ago (2015-10-19 15:41:43 UTC) #62
commit-bot: I haz the power
Committed patchset #11 (id:280001)
1 year, 11 months ago (2015-10-19 17:05:05 UTC) #63
commit-bot: I haz the power
1 year, 11 months ago (2015-10-19 17:05:52 UTC) #64
Message was sent while issue was closed.
Patchset 11 (id:??) landed as
https://crrev.com/2a785aa5f32b793fb51898f82efef096abab6102
Cr-Commit-Position: refs/heads/master@{#354794}
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b